#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n,m;
    cin>>n>>m;
    if(n==1&&m==1){
        cout<<1<<endl;
    }
    else if(n==1&&m!=1){
        cout<<m<<endl;
    }
    else if(m==1&&n!=1){
        cout<<n<<endl;
    }
    else{
        ll p=2*(m+n)-4;
        ll x;
        n-=2;
        m-=2;
        x=(m*n)/2;
        cout<<p+x<<endl;
    }
    return 0;
}